indice = -1
name_prev = None

datafile = open("CHERNAIR.TXT")
statfile = open("stations_file.dat", 'w')
	
lines = datafile.readlines()
datafile.close()
for line in lines:
	if (len(line)) < 10:
		continue
	country = line[2:4].strip()
	# Removes useless parts of some station names.	
	name_tmp = line[5:38].strip()
	if len(name_tmp.split(" ")) > 1:
		if name_tmp.split(" ")[1][0] == "(":
			name =  name_tmp.split(" ")[0].strip()
		elif len(name_tmp.split(",")) > 1:
			name = name_tmp.split(",")[0].strip()
		else:
			name = name_tmp.replace(" ", "_").strip()
	else:
		name = name_tmp.strip()
	lat = line[38:46].strip()
	lon = line[49:57].strip()
	# There is a problem in "CHERNAIR.txt" with some coordinates.
	if name == "VAERNES":
		lon = "10.940000"
		lat = "63.460000"
	if name == "VALENCIA":
		lon = "-0.383000"
		lat = "39.483000"
	if name == "HARWELL_2" or name == "HARWELL_3":
		name = "HARWELL"
	if name != name_prev:
		print name
		indice = indice + 1
		statfile.write(str(indice).ljust(4) + "\t " \
			       + str(lon).ljust(8) + " \t " \
			       + str(lat).ljust(8) + " \t " \
			       + str(name).ljust(20) + " \t " \
			       + str(country).ljust(4) + "\n")
		nametmp = str(name) + ".dat"
		filetmp = open(nametmp, 'w')
		name_prev = name
		
	date = line[58:66].strip()
	hour = line[67:72].strip()
	length = line[76:81].strip()
	I131 = line[86:95].strip()
	Cs134 = line[100:108].strip()
	Cs137 = line[114:123].strip()
	filetmp.write(date + "\t" + hour + "\t" + length + "\t" + I131 \
		      + "\t" + Cs134 + "\t" + Cs137 + "\n")
	
statfile.close()
filetmp.close()
